Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.interfaces
Interface IMember

All Known Subinterfaces:
  IGroup

All Known Implementing Classes:
  SimpleGroup, SimpleMember

public interface IMember

IMember is the interface that members of the view should implement. Members of a view have the following characteristics: - Name e.g. "Apple" - Fullname e.g. "Fruits.Apple" - Tooltip text e.g. "A green gruit that grows on trees" - Size e.g. 20 - Containing group reference e.g. "GROUP:Fruits"

Method Summary
`IGroup` | `getContainingGroup()` Get the group which contains this member
`java.lang.String` | `getFullname()` Get the full (or fully qualified) name for this member
`java.lang.String` | `getName()` Get this member's name
`java.lang.Integer` | `getSize()` Get the size
`java.lang.String` | `getToolTip()` Get the tooltip
`void` | `setContainingGroup(IGroup grp)` Set the group which contains this member
`void` | `setName(java.lang.String string)`
`void` | `setSize(int size)` Set the size of this member
`void` | `setTooltip(java.lang.String tooltip)` Set the tooltip

Method Detail

### setName

    public void setName(java.lang.String string)

### getName

    public java.lang.String getName()

  Get this member's name

  Returns:
    this member's name

### getFullname

    public java.lang.String getFullname()

  Get the full (or fully qualified) name for this member

  Returns:
    the full name

### setTooltip

    public void setTooltip(java.lang.String tooltip)

  Set the tooltip

  Parameters:
    `tooltip` - - the tooltip

### getToolTip

    public java.lang.String getToolTip()

  Get the tooltip

  Returns:
    the tooltip

### setSize

    public void setSize(int size)

  Set the size of this member

  Parameters:
    `size` - - the size

### getSize

    public java.lang.Integer getSize()

  Get the size

  Returns:
    the size

### getContainingGroup

    public IGroup getContainingGroup()

  Get the group which contains this member

  Returns:
    the group which contains this member

### setContainingGroup

    public void setContainingGroup(IGroup grp)

  Set the group which contains this member

  Parameters:
    `grp` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD